Subject: Re: [SWIPL] porting swi prolog to mac os x

From: Xander Schrijen <[email-masked]>
Date: Sun, 24 Jun 2001 17:26:48 +0200

On Wednesday, June 20, 2001, at 03:08  PM, Jacobo Myerston wrote:

> I'm using swi-prolog on macosx since macosx with no problems. 
> It builds, but the packages do not compile. I' have tried to 
> build clib and I got this:
>
> ld  -o unix.so error.o process.o
> ld: Undefined symbols:

I've written a  short guide on how to get foreign libraries to 
work on SWI-Prolog on Mac OS X.  I've included building clib as 
an example.

http://www.phil.uu.nl/~xges/HOWTO/swipldynlib.html

> And  xpce's  ./configure stops when it doesn't find xpm.h, but 
> xpm.h is installed in /usr/X11R6/include/X11.

I haven't build xpce, but passing --with-xpm=/usr/X11R6 to 
configure will let it find the Xpm files.

Xander.